<?php
  ///////////////////////////////////////////////////
  //2007 (C)
  //Карпухин Павел
  ///////////////////////////////////////////////////

  $lang = substr($_SERVER["HTTP_ACCEPT_LANGUAGE"], 0,2);
  if(is_file ("../lang/".$lang."/".$lang.".php")) include "../lang/".$lang."/".$lang.".php";
     else include "../lang/ru/ru.php";

  $title=$titlepage = $TEXT['domain-title2'];
  $helppage = "";

  require_once "../config.php";
  require_once "../util/top.php";

  if($result2['user'] == 1) puterror2($TEXT['error-loginform4']);
  if($result2['master'] == 1) puterror2($TEXT['error-loginform4']);
  if($result2['manager'] == 1) puterror2($TEXT['error-loginform4']);

  if(empty($_POST['domain'])) puterror2($TEXT['error-domain1']);
  if(strlen($_POST['domain'])>200) puterror2($TEXT['error-domain2']);

  if(isset($_POST['domain'])) $domain=trim($_POST['domain']);
    else $domain="";
     if(empty($domain)) puterror2($TEXT['error-domain3']);

  $_POST['domain'] = rep($_POST['domain']);

  $query_chk = "SELECT `domain` FROM `tbl_domain` WHERE `domain`='".$_POST['domain']."' ";
     $result_chk = mysql_query($query_chk);
     if(!$result_chk) puterror2($TEXT['error-tbl4']);
       if(mysql_num_rows($result_chk)>0) puterror2($TEXT['global-est']);

  //*************************************
  $ip = $_SERVER['REMOTE_ADDR'];
  $doing = $TEXT['log-domain1'];
  $what = $_POST['domain'];
  $who = $result2['fullname'];
  //*************************************
  $query = "INSERT INTO `tbl_domain` ( `dom_id` , `domain` ) VALUES ( NULL , '".$_POST['domain']."')";
  if(mysql_query($query))
  {
    $query2 = "INSERT INTO tbl_logs ( `log_id` , `data` , `ip` , `who` , `doing` , `what` ) VALUES ( NULL , NOW() , '$ip' , '$who' , '$doing' , '$what')";
        if(mysql_query($query2))
           {
             echo "<html><head>
                   <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=index.php' />
                   </head></html>";
           } else puterror2($TEXT['error-log']);
  } else puterror2($TEXT['error-domain4']);
  require_once "../util/bottom.php";
?>
